public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/wesnoth/
Date: Fri, 21 Sep 2018 11:37:13 +0000 (UTC)	[thread overview]
Message-ID: <1537529823.9eb909ff1071a96ae12a926d218c84eeacec547c.polynomial-c@gentoo> (raw)

commit:     9eb909ff1071a96ae12a926d218c84eeacec547c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 21 11:34:31 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Sep 21 11:37:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9eb909ff

games-strategy/wesnoth: Bump to version 1.14.5

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 games-strategy/wesnoth/Manifest              |   1 +
 games-strategy/wesnoth/wesnoth-1.14.5.ebuild | 115 +++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/games-strategy/wesnoth/Manifest b/games-strategy/wesnoth/Manifest
index 763dbe3bb7a..6dd16fa3c36 100644
--- a/games-strategy/wesnoth/Manifest
+++ b/games-strategy/wesnoth/Manifest
@@ -1 +1,2 @@
 DIST wesnoth-1.14.4.tar.gz 489503950 BLAKE2B 2802098a83169d1dd3d0d38052145b7da006992843d748fdc263fe04ed0f485c2a46a93569e2728e152d76361d3651f0f207d2cfdd7b6bb59ae7cdec43680cd7 SHA512 d867d68278075536c61eb87c32dd43bcd832de0dd20f9c941e2c5a2f413b95ba1897b5401721a0e895934afe79bb568ea155d8fe648dac58c519289fc7d12885
+DIST wesnoth-1.14.5.tar.gz 489848620 BLAKE2B abbf1ae2bb20cfdd2575f5e21eea7db9b32f0a9c7e85101652206477f3dca8ae0aefbf4b0a252c4522565c08900b0a04d39fd5eadb5feb49168dc95db732e50e SHA512 115c7fda3ef77079d871aeae4bc448bf8de1829d7723179f634db10f23ab8c15d2d92c5a36c11aa8dc79fb8f914e95f06143565e2ae950947da35af5f71e1b6e

diff --git a/games-strategy/wesnoth/wesnoth-1.14.5.ebuild b/games-strategy/wesnoth/wesnoth-1.14.5.ebuild
new file mode 100644
index 00000000000..9ce29bd54b0
--- /dev/null
+++ b/games-strategy/wesnoth/wesnoth-1.14.5.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils user
+
+DESCRIPTION="Battle for Wesnoth - A fantasy turn-based strategy game"
+HOMEPAGE="http://www.wesnoth.org
+	https://github.com/wesnoth/wesnoth"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="dbus dedicated doc fribidi libressl nls openmp server"
+
+RDEPEND="
+	>=dev-libs/boost-1.50:=[nls,threads,icu]
+	>=media-libs/libsdl2-2.0.4:0[joystick,video,X]
+	!dedicated? (
+		dev-libs/glib:2
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+		>=media-libs/fontconfig-2.4.1
+		>=media-libs/sdl2-image-2.0.0[jpeg,png]
+		>=media-libs/sdl2-mixer-2.0.0[vorbis]
+		>=media-libs/sdl2-ttf-2.0.12
+		media-libs/libvorbis
+		>=x11-libs/pango-1.22.0
+		>=x11-libs/cairo-1.10.0
+		sys-libs/readline:0
+		dbus? ( sys-apps/dbus )
+		fribidi? ( dev-libs/fribidi )
+	)"
+DEPEND="${RDEPEND}
+	sys-devel/gettext
+	virtual/pkgconfig
+	x11-libs/libX11
+"
+
+pkg_setup() {
+	if use openmp; then
+		tc-has-openmp || die "Please switch to an openmp compatible compiler"
+	fi
+
+	enewgroup ${PN}
+	enewuser ${PN} -1 /bin/bash -1 ${PN}
+}
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	if ! use doc ; then
+		sed -i \
+			-e '/manual/d' \
+			doc/CMakeLists.txt || die
+	fi
+
+	# respect LINGUAS (bug #483316)
+	if [[ ${LINGUAS+set} ]] ; then
+		local langs
+		for lang in $(cat po/LINGUAS)
+		do
+			has $lang $LINGUAS && langs+="$lang "
+		done
+		echo "$langs" > po/LINGUAS || die
+	fi
+}
+
+src_configure() {
+	filter-flags -ftracer -fomit-frame-pointer
+	if [[ $(gcc-major-version) -eq 3 ]] ; then
+		filter-flags -fstack-protector
+		append-flags -fno-stack-protector
+	fi
+
+	# Work around eclass
+	append-flags -UNDEBUG
+
+	if use dedicated || use server ; then
+		mycmakeargs=(
+			-DENABLE_CAMPAIGN_SERVER="ON"
+			-DENABLE_SERVER="ON"
+			-DSERVER_UID="${PN}"
+			-DSERVER_GID="${PN}"
+			-DFIFO_DIR="/run/wesnothd"
+			)
+	else
+		mycmakeargs=(
+			-DENABLE_CAMPAIGN_SERVER="OFF"
+			-DENABLE_SERVER="OFF"
+			)
+	fi
+	mycmakeargs+=(
+		-Wno-dev
+		-DENABLE_GAME="$(usex !dedicated)"
+		-DENABLE_DESKTOP_ENTRY="$(usex !dedicated)"
+		-DENABLE_NLS="$(usex nls)"
+		-DENABLE_NOTIFICATIONS="$(usex dbus)"
+		-DENABLE_FRIBIDI="$(usex fribidi)"
+		-DENABLE_OMP="$(usex openmp)"
+		-DENABLE_STRICT_COMPILATION="OFF"
+		-DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+		)
+	cmake-utils_src_configure
+}
+
+src_install() {
+	local DOCS=( README.md changelog.md )
+	cmake-utils_src_install
+	if use dedicated || use server; then
+		rmdir "${ED%/}/run/wesnothd" || die
+		newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
+	fi
+}


             reply	other threads:[~2018-09-21 11:37 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-21 11:37 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-05 19:10 [gentoo-commits] repo/gentoo:master commit in: games-strategy/wesnoth/ Pacho Ramos
2024-07-05 19:10 Pacho Ramos
2024-07-05 19:10 Pacho Ramos
2024-05-09  9:09 Pacho Ramos
2024-05-07 19:04 Pacho Ramos
2024-05-07 19:04 Pacho Ramos
2023-08-24 14:01 Pacho Ramos
2023-08-24 14:01 Pacho Ramos
2023-08-24 14:01 Pacho Ramos
2023-07-18  7:16 Pacho Ramos
2023-07-18  7:16 Pacho Ramos
2023-07-18  7:16 Pacho Ramos
2023-05-28 13:57 Pacho Ramos
2022-12-20 11:21 Sam James
2022-12-20 11:21 Sam James
2022-12-20 11:21 Sam James
2022-12-19 23:57 Stefan Strogin
2022-10-23 22:22 Pacho Ramos
2022-10-23 22:22 Pacho Ramos
2022-08-11  7:37 Ionen Wolkens
2022-06-19 18:15 Lars Wendler
2022-06-19 17:23 Lars Wendler
2022-06-19 17:23 Lars Wendler
2022-05-17  5:34 Sam James
2022-05-16  9:39 Lars Wendler
2022-05-16  9:25 Lars Wendler
2022-05-16  9:25 Lars Wendler
2022-03-12 12:01 Arthur Zamarin
2022-03-10  2:21 Sam James
2021-10-27 13:28 Ionen Wolkens
2021-10-26 22:08 Piotr Karbowski
2021-07-19 18:16 Lars Wendler
2021-06-21 20:17 Lars Wendler
2021-06-18 19:18 David Seifert
2021-05-03  7:01 Mikle Kolyada
2021-04-19 15:30 Lars Wendler
2021-04-01 21:44 Lars Wendler
2020-11-26 11:11 Sam James
2020-11-26 11:11 Sam James
2020-11-15 20:03 David Seifert
2020-11-15 20:03 David Seifert
2020-09-17  7:36 Lars Wendler
2020-09-17  7:36 Lars Wendler
2020-07-08 23:15 Lars Wendler
2020-07-08 23:15 Lars Wendler
2020-06-03 20:16 James Le Cuirot
2020-03-12 10:38 Lars Wendler
2020-03-12 10:38 Lars Wendler
2019-10-22  9:15 Lars Wendler
2019-10-11 15:36 Michał Górny
2019-08-25 15:19 Stefan Strogin
2019-08-24 13:19 Lars Wendler
2019-08-20 21:14 Lars Wendler
2019-08-20 20:25 Lars Wendler
2019-08-19  9:14 Lars Wendler
2019-08-19  9:14 Lars Wendler
2019-04-15 14:54 Lars Wendler
2019-04-13 22:44 Pacho Ramos
2019-02-28 10:43 Lars Wendler
2019-01-08  9:25 Lars Wendler
2019-01-08  9:25 Lars Wendler
2018-07-24  8:12 Lars Wendler
2018-07-23 21:28 Jeroen Roovers
2018-07-23 21:28 Jeroen Roovers
2018-06-13 16:21 Lars Wendler
2018-06-13 16:21 Lars Wendler
2018-06-02 21:48 Sergei Trofimovich
2018-06-01 14:11 Lars Wendler
2018-05-18 12:34 Aaron Bauman
2018-05-09 15:26 Lars Wendler
2017-12-21  1:57 David Seifert
2017-10-16  0:08 David Seifert
2017-01-04 15:29 Agostino Sarubbo
2016-09-26 12:36 Agostino Sarubbo
2016-05-18  3:39 Michael Sterrett
2015-12-29  7:41 Michael Sterrett
2015-12-25 16:20 Agostino Sarubbo
2015-12-07 10:02 Agostino Sarubbo
2015-11-22 14:16 Michael Sterrett
2015-11-06  9:13 Michael Sterrett
2015-09-19 18:39 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1537529823.9eb909ff1071a96ae12a926d218c84eeacec547c.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox